Module jdk.jfr
Package jdk.jfr

## Annotation Type DataAmount

-     @Retention(RUNTIME)
      @Target({FIELD,TYPE,METHOD})
      public @interface DataAmount

  Event field annotation, specifies that a value represents an amount of data (for example, bytes).
  Since:
    9

- - ### Field Summary

    Fields
    Modifier and Type | Fields | Description
    --- | --- | ---
    `static String` | `BITS` | Unit for bits
    `static String` | `BYTES` | Unit for bytes

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `String` | `value` | Returns the unit for the data amount, by default bytes.

- - ### Field Detail

    - #### BITS

          static final String BITS

      Unit for bits

  - - #### BYTES

          static final String BYTES

      Unit for bytes

  - ### Element Detail

    - #### value

          String value

      Returns the unit for the data amount, by default bytes.
      Returns:
        the data amount unit, default `BYTES`, not `null`
      Default:
        "BYTES"